(function( $ ) {

	'use strict';

	/*
	Sales Selector
	*/
	$('#salesSelector').themePluginMultiSelect().on('change', function() {
		var rel = $(this).val();
		$('#salesSelectorItems .chart').removeClass('chart-active').addClass('chart-hidden');
		$('#salesSelectorItems .chart[data-sales-rel="' + rel + '"]').addClass('chart-active').removeClass('chart-hidden');
	});

	$('#salesSelector').trigger('change');

	$('#salesSelectorWrapper').addClass('ready');

	/*
	Flot: Sales 1
	*/
	var flotDashSales1 = $.plot('#flotDashSales1', flotDashSales1Data, {
		series: {
			lines: {
				show: true,
				lineWidth: 2
			},
			points: {
				show: true
			},
			shadowSize: 0
		},
		grid: {
			hoverable: true,
			clickable: true,
			borderColor: '#EDEDED',
			borderWidth: 1,
			labelMargin: 15,
			backgroundColor: '#FFF'
		},
		yaxis: {
			min: 0,
			color: '#EDEDED'
		},
		xaxis: {
			mode: 'categories',
			color: '#FFF'
		},
		legend: {
			show: false
		},
		tooltip: true,
		tooltipOpts: {
			content: '%x: %y',
			shifts: {
				x: -30,
				y: 25
			},
			defaultTheme: false
		}
	});

	$(this).on("styleSwitcher.setColor", function(ev) {
		flotDashSales1Data[0].color = ev.color;
		flotDashSales1.setData(flotDashSales1Data);
		flotDashSales1.draw();
	});

	if (typeof($.browser) != 'undefined') {
		if($.browser.mobile) {
			flotDashSales1Data[0].color = '#0088cc';
			flotDashSales1.setData(flotDashSales1Data);
			flotDashSales1.draw();
		}
	}

	/*
	Flot: Sales 2
	*/
	var flotDashSales2 = $.plot('#flotDashSales2', flotDashSales2Data, {
		series: {
			lines: {
				show: true,
				lineWidth: 2
			},
			points: {
				show: true
			},
			shadowSize: 0
		},
		grid: {
			hoverable: true,
			clickable: true,
			borderColor: '#EDEDED',
			borderWidth: 1,
			labelMargin: 15,
			backgroundColor: '#FFF'
		},
		yaxis: {
			min: 0,
			color: '#EDEDED'
		},
		xaxis: {
			mode: 'categories',
			color: '#FFF'
		},
		legend: {
			show: false
		},
		tooltip: true,
		tooltipOpts: {
			content: '%x: %y',
			shifts: {
				x: -30,
				y: 25
			},
			defaultTheme: false
		}
	});

	/*
	Flot: Sales 3
	*/
	var flotDashSales3 = $.plot('#flotDashSales3', flotDashSales3Data, {
		series: {
			lines: {
				show: true,
				lineWidth: 2
			},
			points: {
				show: true
			},
			shadowSize: 0
		},
		grid: {
			hoverable: true,
			clickable: true,
			borderColor: '#EDEDED',
			borderWidth: 1,
			labelMargin: 15,
			backgroundColor: '#FFF'
		},
		yaxis: {
			min: 0,
			color: '#EDEDED'
		},
		xaxis: {
			mode: 'categories',
			color: '#FFF'
		},
		legend: {
			show: false
		},
		tooltip: true,
		tooltipOpts: {
			content: '%x: %y',
			shifts: {
				x: -30,
				y: 25
			},
			defaultTheme: false
		}
	});
    
    /*
	Flot: Sales 4
	*/
	var flotDashSales4 = $.plot('#flotDashSales4', flotDashSales4Data, {
		series: {
			lines: {
				show: true,
				lineWidth: 2
			},
			points: {
				show: true
			},
			shadowSize: 0
		},
		grid: {
			hoverable: true,
			clickable: true,
			borderColor: '#EDEDED',
			borderWidth: 1,
			labelMargin: 15,
			backgroundColor: '#FFF'
		},
		yaxis: {
			min: 0,
			color: '#EDEDED'
		},
		xaxis: {
			mode: 'categories',
			color: '#FFF'
		},
		legend: {
			show: false
		},
		tooltip: true,
		tooltipOpts: {
			content: '%x: %y',
			shifts: {
				x: -30,
				y: 25
			},
			defaultTheme: false
		}
	});
    
    /*
	Flot: Sales 5
	*/
	var flotDashSales5 = $.plot('#flotDashSales5', flotDashSales5Data, {
		series: {
			lines: {
				show: true,
				lineWidth: 2
			},
			points: {
				show: true
			},
			shadowSize: 0
		},
		grid: {
			hoverable: true,
			clickable: true,
			borderColor: '#EDEDED',
			borderWidth: 1,
			labelMargin: 15,
			backgroundColor: '#FFF'
		},
		yaxis: {
			min: 0,
			color: '#EDEDED'
		},
		xaxis: {
			mode: 'categories',
			color: '#FFF'
		},
		legend: {
			show: false
		},
		tooltip: true,
		tooltipOpts: {
			content: '%x: %y',
			shifts: {
				x: -30,
				y: 25
			},
			defaultTheme: false
		}
	});

	/*
	Flot: Basic
	*/
	var flotDashBasic = $.plot('#flotDashBasic', flotDashBasicData, {
		series: {
			lines: {
				show: true,
				fill: true,
				lineWidth: 1,
				fillColor: {
					colors: [{
						opacity: 0.6
					}, {
						opacity: 0.6
					}]
				}
			},
			points: {
				show: true
			},
			shadowSize: 0
		},
		grid: {
			hoverable: true,
			clickable: true,
			borderColor: '#EDEDED',
			borderWidth: 1,
			labelMargin: 15,
			backgroundColor: '#FFF'
		},
		yaxis: {
			min: 0,
			max: 200,
			color: '#EDEDED'
		},
		xaxis: {
			color: '#EDEDED'
		},
		tooltip: true,
		tooltipOpts: {
			content: '%s: Value of %x is %y',
			shifts: {
				x: -60,
				y: 25
			},
			defaultTheme: false
		}
	});

	$(this).on("styleSwitcher.setColor", function(ev) {
		flotDashBasicData[0].color = ev.color;
		flotDashBasic.setData(flotDashBasicData);
		flotDashBasic.draw();
	});

	if (typeof($.browser) != 'undefined') {
		if($.browser.mobile) {
			flotDashBasicData[0].color = '#0088cc';
			flotDashBasic.setData(flotDashBasicData);
			flotDashBasic.draw();
		}
	}

	/*
	Flot: Real-Time
	*/
	(function() {
		var data = [],
			totalPoints = 300;

		function getRandomData() {

			if (data.length > 0)
				data = data.slice(1);

			// Do a random walk
			while (data.length < totalPoints) {

				var prev = data.length > 0 ? data[data.length - 1] : 50,
					y = prev + Math.random() * 10 - 5;

				if (y < 0) {
					y = 0;
				} else if (y > 100) {
					y = 100;
				}

				data.push(y);
			}

			// Zip the generated y values with the x values
			var res = [];
			for (var i = 0; i < data.length; ++i) {
				res.push([i, data[i]])
			}

			return res;
		}

		var flotDashRealTime = $.plot('#flotDashRealTime', [getRandomData()], {
			colors: ['#6cebf2'],
			series: {
				lines: {
					show: true,
					fill: true,
					lineWidth: 1,
					fillColor: {
						colors: [{
							opacity: 0.45
						}, {
							opacity: 0.45
						}]
					}
				},
				points: {
					show: false
				},
				shadowSize: 0
			},
			grid: {
				borderColor: '#EDEDED',
				borderWidth: 1,
				labelMargin: 15,
				backgroundColor: '#FFF'
			},
			yaxis: {
				min: 0,
				max: 100,
				color: '#EDEDED'
			},
			xaxis: {
				show: false
			}
		});

		function update() {

			flotDashRealTime.setData([getRandomData()]);

			// Since the axes don't change, we don't need to call plot.setupGrid()
			flotDashRealTime.draw();
			setTimeout(update, ($('html').hasClass( 'mobile-device' ) ? 1000 : 30) );
		}

		update();
	})();

	/*
	Sparkline: Bar
	*/
	var sparklineBarDashOptions = {
		type: 'bar',
		width: '80',
		height: '55',
		barColor: '#CCCCCC',
		negBarColor: '#B20000'
	};

	$("#sparklineBarDash").sparkline(sparklineBarDashData, sparklineBarDashOptions);

	$(this).on("styleSwitcher.setColor", function(ev) {
		$("#sparklineBarDash").sparkline(sparklineBarDashData, $.extend({}, sparklineBarDashOptions, {
			barColor: ev.color
		}));
	});

	if (typeof($.browser) != 'undefined') {
		if($.browser.mobile) {
			$("#sparklineBarDash").sparkline(sparklineBarDashData, $.extend({}, sparklineBarDashOptions, {
				barColor: '#0088cc'
			}));
		}
	}

	/*
	Sparkline: Line
	*/
	var sparklineLineDashOptions = {
		type: 'line',
		width: '80',
		height: '55',
		lineColor: '#CCCCCC'
	};

	$("#sparklineLineDash").sparkline(sparklineLineDashData, sparklineLineDashOptions);

	/*
	Map
	*/
	var vectorMapDashOptions = {
		map: 'world_en',
		backgroundColor: null,
		color: '#FFFFFF',
		hoverOpacity: 0.7,
		selectedColor: '#005599',
		enableZoom: true,
		borderWidth:1,
		showTooltip: true,
		values: sample_data,
		scaleColors: ['#CCCCCC'],
		normalizeFunction: 'polynomial'
	};

	$('#vectorMapWorld').vectorMap(vectorMapDashOptions);

	$(this).on("styleSwitcher.setColor", function(ev) {
		$("#vectorMapWorld").vectorMap('set', 'scaleColors', [ev.color]);
	});

	if (typeof($.browser) != 'undefined') {
		if($.browser.mobile) {
			$("#vectorMapWorld").vectorMap('set', 'scaleColors', ['#0088cc']);
		}
	}

	}).apply( this, [ jQuery ]);